/*
    Copyright (C) 2012  Stanislav Bárta

    This file is part of Bachelor's thesis: Creating Metadata during 
    Interception of Instant Messaging Communication.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
 * Soubor:  xmpp.h
 * Datum:   16.05.2012
 * Autor:   Stanislav Bárta, xbarta29@stud.fit.vutbr.cz
 * Projekt: BP - tvorba metadat pri odposlechu komunikace v realnem case
 * Popis:   hlavickovy soubor pro funkce zpracovavajici protokol XMPP
 */

#ifndef _XMPP_
#define _XMPP_

#include <stdio.h>
#include <stdlib.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "my_string.h"
#include "my_xml.h"
#include "zpracovany_packet.h"
#include "iri.h"
#include "sprava.h"

void zpracuj_xmpp(struct data_packetu *zprava, struct sezeni *Sezeni, struct seznam_sledovani *Sledovani);
void identifikuj_zpravu(struct xml *zpracovane_xml, struct sezeni *Sezeni, struct seznam_sledovani *Sledovani, int smer, struct timeval *cas_zachyceni);
char *bareJID(char *ID);
int je_fullJID(char *ID);
#endif
